<template >
  <v-data-table
    v-bind="{items, headers}"
    class="elevation-1"
  >
    <template v-slot:items="props">
      <td>{{ props.item.id }}</td>
      <td>{{ props.item.name }}</td>
      <td>{{ props.item.email }}</td>
      <td>{{ props.item.phone }}</td>
      <td>{{ props.item.website }}</td>
    </template>
  </v-data-table>
</template>

<script>
export default {
  name: 'myTableWrapper',
  props: ['items'],
  data () {
    return {
      headers: [
        { text: 'ID', value: 'no-val' },
        { text: 'Name', value: 'no-val' },
        { text: 'Email', value: 'no-val' },
        { text: 'Phone', value: 'no-val' },
        { text: 'Website', value: 'no-val' }
      ]
    }
  }
}
</script>

<style scoped>

</style>
